<?php

namespace Modules\Approval\Contracts;

use Illuminate\Database\Eloquent\Model;
use Modules\Approval\Models\ApprovalRequest;

interface ApprovalHandlerInterface
{
    public function approved(Model $document, ApprovalRequest $approvalRequest): void;

    public function rejected(Model $document, ApprovalRequest $approvalRequest, ?string $remarks = null): void;
}
